/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:index.c 12.0$ */
/* $ACIS:index.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.bin/uucp/RCS/index.c,v $ */

#ifndef lint
static char *rcsid = "$Header:index.c 12.0$";
#endif

#ifndef lint
static char sccsid[] = "@(#)index.c	5.2 (Berkeley) 1/22/85";
#endif

#include <stdio.h>

/*
 *	return pointer to character c
 *
 *	return codes:
 *		NULL  -  character not found
 *		pointer  -  pointer to character
 */

char *
index(str, c)
register char c, *str;
{
	for (; *str != '\0'; str++) {
		if (*str == c)
			return str;
	}

	return NULL;
}
